/* Next available MSG number is  38 */
//
// AKATTDEF.DCL     Version 1.0
//
// Copyright (C) 1992 by Autodesk, Inc.
//    
// Permission to use, copy, modify, and distribute this software
// for any purpose and without fee is hereby granted, provided
// that the above copyright notice appears in all copies and that 
// both that copyright notice and this permission notice appear in 
// all supporting documentation.
// 
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
// WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
// PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//------------------------------------------------------------------------
//  DESCRIPTION
//
//  This is the dialogue box definition file for the AKATTDEF command. This
//  is an enhancement to the ATTDEF command. It loads up a dialogue box
//  which presents to the user all the prompts and options that he/she
//  might encounter during the definition of one or several attributes.
//
//------------------------------------------------------------------------


dcl_settings : default_dcl_settings { audit_level = 0; }


akattdef : dialog {
    label = /*MSG1*/"Attribute Definition";
    : row {
        : boxed_column {
            label = /*MSG2*/"Mode";
            : toggle {
                label = /*MSG3*/"Invisible";
                mnemonic = /*MSG4*/"I";
                key = "invisible";
            }
            : toggle {
                label = /*MSG5*/"Constant";
                mnemonic = /*MSG6*/"C";
                key = "constant";
            }
            : toggle {
                label = /*MSG7*/"Verify";
                mnemonic = /*MSG8*/"V";
                key = "verify";
            }
            : toggle {
                label = /*MSG9*/"Preset";
                mnemonic = /*MSG10*/"P";
                key = "preset";
            }
        }
        : boxed_column {
            label = /*MSG11*/"Attribute";
            fixed_width = true;
            width = 40;

            : edit_box {
                label = /*MSG12*/"Tag:";
                mnemonic = /*MSG13*/"T";
                key = "att_tag";
                edit_width = 30;
                edit_limit = 256;
            }
            : edit_box {
                label = /*MSG14*/"Prompt:";
                mnemonic = /*MSG15*/"P";
                key = "att_prompt";
                edit_width = 30;
                edit_limit = 256;
            }
            : edit_box {
                label = /*MSG16*/"Value:";
                mnemonic = /*MSG17*/"V";
                key = "def_val";
                edit_width = 30;
                edit_limit = 256;
            }
        }
    }
    : row {
        : boxed_column { 
            label = /*MSG18*/"Insertion Point";
            : button {
                label = /*MSG19*/"Pick Point <";
                mnemonic = /*MSG20*/"P";
                key = "pick_pt";
            }
            : edit_box {
                label = /*MSG21*/"X:";
                mnemonic = /*MSG22*/"X";
                key = "x_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*MSG23*/"Y:";
                mnemonic = /*MSG24*/"Y";
                key = "y_pt";
                edit_width = 10;
            }
            : edit_box {
                label = /*MSG25*/"Z:";
                mnemonic = /*MSG26*/"Z";
                key = "z_pt";
                edit_width = 10;
            }
        }
        : boxed_column {
            label = /*MSG27*/"Text Options";
            fixed_width = true;
            width = 40;
            : column {
                : popup_list {
                    label = /*MSG28*/"Justification:";
                    key = "cjustif";
                    edit_width = 20;
                    mnemonic = /*MSG29*/"J";
                }
                : popup_list {
                    label = /*MSG30*/"Text Style:";
                    key = "tstyle";
                    edit_width = 20;
                    mnemonic = /*MSG31*/"T";
                }
            }
            : row {
                : button {
                    label = /*MSG32*/"Height <";
                    key = "bheight";
                    mnemonic = /*MSG33*/"H";
                    width = 15;
                    fixed_width = true;
                }
                : edit_box {
                    key = "height";
                    edit_width = 20;
                    value = "0.2000";
                    fixed_width = true;
                }
            }
            : row {
                : button {
                    label = /*MSG34*/"Rotation <";
                    key = "brot";
                    mnemonic = /*MSG35*/"R";
                    width = 15;
                    fixed_width = true;
                }
                : edit_box {
                    key = "rot";
                    edit_width = 20;
                    fixed_width = true;
                }
            }
        }
    }
    : toggle {
        label = /*MSG36*/"Align below previous attribute";
        key = "align_prev";
        mnemonic = /*MSG37*/"A";
    }
    ok_cancel_help_errtile;
}


