/* Next available MSG number is  41 */

//----------------------------------------------------------------------------
//
//   AKINSERT.DCL   Version 1.0
//
//   Copyright (C) 1991-1992 by Autodesk, Inc.
//      
//   Permission to use, copy, modify, and distribute this software 
//   for any purpose and without fee is hereby granted, provided 
//   that the above copyright notice appears in all copies and that 
//   both that copyright notice and this permission notice appear in 
//   all supporting documentation.
//      
//   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
//   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
//   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//   
//----------------------------------------------------------------------------
//
// Corresponding dialogues for AKINSERT.LSP which is an AutoLISP implementation
// of the AutoCAD Insert command with a dialogue interface.
//
//----------------------------------------------------------------------------


dcl_settings : default_dcl_settings { audit_level = 0; }


akinsert : dialog {
    label = /*MSG1*/"Insert";
    : boxed_column {
        label = /*MSG2*/"Select Block Name";
        : row {
            : button {
                label = /*MSG3*/"Block...";
                key = "int_blocks";
                mnemonic = /*MSG4*/"B";
                width = 10;
                fixed_width = true;
            }
            : edit_box {
                label = "";
                key = "current_name";
                width = 36;
                edit_limit = 31;
            }
        }
        : row {
            : button {
                label = /*MSG5*/"File...";
                key = "ext_blocks";
                mnemonic = /*MSG6*/"F";
                width = 10;
                fixed_width = true;
            }
            : edit_box {
                key = "path_name";
                width = 36;
            }
        }
    }
    : boxed_column {
        label = /*MSG7*/"Options";
        : row {
            : boxed_column { 
                label = /*MSG10*/"Insertion Point";
                : button {
                    label = /*MSG19*/"Pick Point <";
                    mnemonic = /*MSG20*/"P";
                    key = "pick_pt";
                }
                : edit_box {
                    label = /*MSG11*/"X:";
                    mnemonic = /*MSG12*/"X";
                    key = "x_pt";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG13*/"Y:";
                    mnemonic = /*MSG14*/"Y";
                    key = "y_pt";
                    edit_width = 10;
                }
                : edit_box {
                    label = /*MSG15*/"Z:";
                    mnemonic = /*MSG16*/"Z";
                    key = "z_pt";
                    edit_width = 10;
                }
            }
            :column {
              : boxed_column { 
                  label = /*MSG17*/"Scale";
                  : edit_box {
                      label = /*MSG18*/"X:";
                      mnemonic = /*MSG19*/"X";
                      key = "x_scale";
                      edit_width = 10;
                  }
                  : edit_box {
                      label = /*MSG20*/"Y:";
                      mnemonic = /*MSG21*/"Y";
                      key = "y_scale";
                      edit_width = 10;
                  }
                  : edit_box {
                      label = /*MSG22*/"Z:";
                      mnemonic = /*MSG23*/"Z";
                      key = "z_scale";
                      edit_width = 10;
                  }
              }
              spacer_1;
              spacer_0;
            }
            : column {
                : boxed_column {
                    label = /*MSG24*/"Rotation"; 
                    fixed_height = true;
                    : button {
                        label = /*MSG34*/"Rotation <";
                        key = "brot";
                        mnemonic = /*MSG35*/"o";
                        width = 15;
                        fixed_width = true;
                    }
                    : edit_box {
                        label = /*MSG25*/"Angle:";
                        key = "rotation";
                        mnemonic = /*MSG26*/"A";
                        edit_width = 6;
                    }
                }
            }
        }
    }
    : toggle {
        label = /*MSG27*/"Explode";
        key = "explode";
        mnemonic = /*MSG28*/"E";
        fixed_width = true;
    }
    ok_cancel_help_errtile;
} 


list_blocks : dialog {
    label = /*MSG29*/"Blocks Defined in this Drawing";
    : edit_box {
        label = /*MSG30*/"Pattern:";                              
        key = "pattern";
        mnemonic = /*MSG31*/"P";
    }
    : list_box {                                   
        key = "bl_match";
        width = 32;
        allow_accept = true;
    }
    : edit_box {
        label = /*MSG32*/"Selection:";
        key = "selection";
        mnemonic = /*MSG33*/"S";
    }
    spacer;
    ok_cancel_err;
}

blk_exists : dialog {
    label = /*MSG34*/"Warning";
    : paragraph {
        : text_part {
            label = /*MSG35*/"A Block with this name already exists in the drawing.";
        }
        : text_part {
            label = /*MSG36*/"Do you want to redefine it?";
        }
    }
    spacer_1;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = /*MSG37*/"Redefine";
            mnemonic = /*MSG38*/"R";
            key = "redefine";
            width = 8;
        }
        : spacer {
            width = 2;
        }
        : default_button {
            label = /*MSG39*/"Cancel";
            mnemonic = /*MSG40*/"C";
            key = "no";
            width = 8;
        }
    }
}

