//    ARABKIT.DCL      Version 2.0
//
//    Copyright (C) 1992-1997 by Arrow Software W.L.L.
//         
// AutoCAD DCL (Dialog Control Language)
// Define AutoCAD dialogs

// This file should not be modified when used with AutoCAD.
// Modification to the dialogue definitions can have serious adverse
// effects on the use of the product.

dcl_settings : default_dcl_settings { audit_level = 0; }

akit_txtedit : dialog {
    label = "Edit Text";
    initial_focus = "text_edit";
    : edit_box {
        label = "Text:";
        key = "text_edit";
        edit_width = 60;
        edit_limit = 255;
        allow_accept = true;
    }
    ok_cancel;
    : errtile { width = 50; }
}

akit_attedit : dialog {
    label = "Edit Attribute Definition";
    initial_focus = "tag_edit";
    : edit_box {
        key = "tag_edit";
        label = "Tag:";
        edit_width = 60;
    }
    : edit_box {
        key = "prompt_edit";
        label = "Prompt:";
        edit_width = 60;
    }
    : edit_box {
        key = "default_edit";
        label = "Default:";
        edit_width = 60;
        edit_limit = 255;
    }
    ok_cancel;
    : errtile { width = 50; }
}


akit_ddatte : dialog {
    key = "ddatte";
    label = "Edit Attributes";
    initial_focus = "edit_1";
    : concatenation {
        : text_part {
            label = "Block name: ";
        }
        : text_part {
            key = "block";
            width = 31;
        }
    }
    spacer_1;
    num_items = 10;                   // Customizable
    //  The number of prompt/edit pairs should match the "num_items" setting.
    //  Changed edit_width from 40 to 50.
    : row {
        : text {
            key = "prompt_1"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_1";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_2"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_2";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_3"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_3";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_4"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_4";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_5"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_5";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_6"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_6";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_7"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_7";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_8"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_8";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_9"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_9";   edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        : text {
            key = "prompt_10"; width = 23; fixed_width = true;
        }
        : edit_box {
            key = "edit_10";  edit_width = 50;  edit_limit = 255;
        }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            key = "prev";
            label = "&Previous";
        }
        : retirement_button {
            key = "next";
            label = " &Next ";
        }
        help_button;
    }
    errtile;
}

a_tag_info : dialog {
        label = "!Arabic Attribute Tag Warning";
        : column {
           : boxed_column {
              : paragraph {
                 : text_part { label = "Attribute  Tag  names  should  not  contain   Arabic"; }
                 : text_part { label = "characters  that  are   seperate,   since  they  are"; }
                 : text_part { label = "converted  to  upper  case   because  the  same  key"; }
                 : text_part { label = "on  the  Arabic  keyboard may  have the  lower  case"; }
                 : text_part { label = "character  different from the upper case  character."; }
                 : text_part { label = "If it is  necessary to use  Arabic Tag  names,  then"; }
                 : text_part { label = "try  entering  a  continuous  Arabic  word  with  no"; }
                 : text_part { label = "seperate  characters.   It is  recommended  that you"; }
                 : text_part { label = "use Right Justification for the Attributes that will"; }
                 : text_part { label = "have Arabic values in the their block insertion.    "; }
                 : text_part { label = "Do you still want to use the Arabic Attribute tag?  "; }
              }
           }
           :spacer {
             height = 1;
           }
           ok_cancel;
        }
}

// dialog definitions for AKSTYLE
v_ok_cancel_help : column {
    : column {
	fixed_width = true;
	alignment = centered;
	: ok_button { fixed_width = false; }
	: cancel_button { fixed_width = false; }
	: help_button { fixed_width = false; }
    }
}

// "AKSTYLE" dialog
akit_ddstyle : dialog {
    label = "ARABKIT Style Selection";
    : column {
        : row {
	    : boxed_column {
                label = "Select style";
		: column {
	           fixed_width = true;
	           : popup_list {
	               key = "style_list";
	               label = "&Styles:";
	               edit_width = 35;
	           }
	           : edit_box {
	               label = "&Name: ";
	               key = "style_name";
	               edit_limit = 31;
	           }
		}
		: row {
		    : spacer {
		        width = 6;
			fixed_width = true;
		    }
		    : text {
		        key = "style_status";
		        width = 35;
		    }
		}
	    }
	    : image {
	         color = black;
	         width = 11;
	         height = 5;
	         key = "akit_logo";
	         fixed_width = true;
	         fixed_height = true;
		 alignment = centered;
	    }
	}
	: row {
	    fixed_width = true;
	    alignment = centered;
	    : boxed_column {
	        label = "Main font";
	        : popup_list {
	            key = "latin_fonts";
	            edit_width = 25;
	            fixed_width = true;
	        }
	        : image {
	            color = black;
	            width = 21;
	            height = 7;
	            key = "latin_slide";
	            fixed_width = true;
	            fixed_height = true;
	            alignment = centered;
	        }
	    }
	    : boxed_column {
	        label = "Arabic font";
	        : popup_list {
	            key = "arabic_fonts";
	            edit_width = 25;
	            fixed_width = true;
	        }
	        : image {
	            color = black;
	            width = 21;
	            height = 7;
	            key = "arabic_slide";
	            fixed_width = true;
	            fixed_height = true;
	            alignment = centered;
	        }
	    }
	}
	: row {
	    : boxed_column {
	        fixed_width = true;
		: toggle {
		    label = "&Backwards";
		    key = "backward";
		}
		: toggle {
		    label = "&Upside-down";
		    key = "upside_down";
		}
		: toggle {
		    label = "&Vertical";
		    key = "vertical";
		}
	    }
	    : boxed_column {
		fixed_width = true;
		: row {
		    : button {
			label = "H&eight <";
			key = "grs_height";
			fixed_width = true;
		    }
		    : edit12_box {
			key = "height";
		    }
		}
		: edit12_box {
		    label = "&Width factor:   ";
		    key = "width_factor";
		}
		: edit12_box {
		    label = "&Obliquing angle:";
		    key = "oblique_angle";
		}
	    }
	    : column {
	       : spacer { height = 1; }
	       v_ok_cancel_help;
	    }
	}
	errtile;
    }
}

// Dialogue definition file for ARABIC Dictionary
arabic_dictionary : dialog {
	label = "Arabic Dictionary for AutoCAD";
	initial_focus = "meaning";
	: column {
	     : boxed_column {
		 : edit_box {
		     key = "found"; 
		     label = "&Found:";
		     edit_width = 50;
		     edit_limit = 25;
		 }
		 : edit_box {
		     label = "&Meaning:";
		     key = "meaning";
		     edit_width = 50;
		     edit_limit = 75;
		 }
	         : row {
	              fixed_width = true;
		      alignment = centered;
		      : button {
		          label = "&Previous";
		          key = "prevtext";
		      }
		      : button {
		          label = "&Next";
		          key = "nextext";
		      }
	         }
	     }
	     : row {
		  : boxed_column {
		      label = "Dictionary";
		      : list_box {
			  key = "arabic_list";
			  width = 45;
		      }
		      : button {
		          label = "&Add";
			  key = "add_word";
			  fixed_width = true;
			  alignment = centered;
		      }
		  }
	          : column {
	              fixed_width = true;
		      alignment = centered;
		      : spacer {
		          height = 2;
		      }
		      : button {
		          label = "App&end";
			  key = "append";
		      }
		      : button {
		          label = "&Replace";
			  key = "replace";
		      }
		      : ok_button {
		          label = "Done";
			  fixed_width = false;
		      }
		      : help_button { fixed_width = false; }
		      : spacer {
		          height = 1;
		      }
		  }
	     }
	     errtile;
	}
}
